Subject: wu-ftpd 2.4 on IRIX 5.3 Help.

From: "Roger H. Kou" <[email-masked]>
Date: Sun, 16 Jul 1995 19:32:48 -0700

Hello,

I really hate to do this, but I am not on this mailing list and
I have tried the easies and suggested way of fixing the problem,
but to no vail.

Here is the situation:

I am running IRIX 5.3. and have just download'd wu-ftpd 2.4 from waterloo

I have modify wu-ftpd-2.4/src/Makefile with the following lines:

  ftpd.o: ftpd.c
        $(CC) $(CFLAGS) -cckr -c ftpd.c

but I am still getting the following msg, can anyone help!

thanks,

-RK
PS: pls respond by e-mail to me.

moe 6# ./build sgi
make args are :
make opts are :

Linking Makefiles.
makefiles/Makefile.sgi and Makefile are identical
config/config.sgi and config.h are identical
makefiles/Makefile.sgi and Makefile are identical

Making support library.
        rm -f libsupport.a
        ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o
authuser.o
        touch libsupport.a

Making ftpd.
        cc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
cfe: Warning 581: /usr/include/stdarg.h:133: Macro va_start redefined.
cfe: Warning 581: /usr/include/stdarg.h:140: Macro _VA_ALIGN redefined.
cfe: Warning 581: /usr/include/stdarg.h:146: Macro __va_stack_arg redefined.
cfe: Warning 609: ftpd.c: 2021: The number of arguments in the macro invocation
does not match the definition
cfe: Warning 609: ftpd.c: 2072: The number of arguments in the macro invocation
does not match the definition
cfe: Warning 609: ftpd.c: 2699: The number of arguments in the macro invocation
does not match the definition
cfe: Error: ftpd.c, line 143: redeclaration of 'realpath'; previous declaration
at line 188 in file '/usr/include/stdlib.h'
  *realpath(char *pathname, char *result);
 --^
cfe: Error: ftpd.c, line 143: Incompatible type for the function parameter
  *realpath(char *pathname, char *result);
 -----------------^
cfe: Error: ftpd.c, line 2021: Syntax Error
     (ap = ((char *)& + sizeof())) ;
 ------------------------------^
cfe: Error: ftpd.c, line 2072: Syntax Error
     (ap = ((char *)& + sizeof())) ;
 ------------------------------^
cfe: Error: ftpd.c, line 2699: Syntax Error
     (ap = ((char *)& + sizeof())) ;
 ------------------------------^
*** Error code 1 (bu21)

Making ftpcount.
        cc -O -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c
vers.o -lsupport
ld:
Can't open: vers.o (No such file or directory)
*** Error code 1 (bu21)

Making ftpshut.
        cc -O -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c
vers.o -lsupport
ld:
Can't open: vers.o (No such file or directory)
*** Error code 1 (bu21)

Making ckconfig.
`ckconfig' is up to date.
../src/ckconfig and ckconfig are identical

Links to executables are in bin directory:
size: Error in reading object bin/ftpd
size: Error in reading object bin/ftpcount
size: Error in reading object bin/ftpshut
size: Error in reading object bin/ftpwho

Size of bin/ckconfig:5199

        Section          Size   Physical Address      Virtual Address

          .text          1664            4196640              4196640
          .init            32            4198304              4198304
        .rodata          1376          268435456            268435456
           .lib            32            4194880              4194880
           .bss            16          268436928            268436928
       .dynamic           192            4194688              4194688
        .dynstr           352            4195232              4195232
          .msym           320            4194912              4194912
        .dynsym           624            4195584              4195584
           .got            96          268436832            268436832
          .hash           432            4196208              4196208
        .interp            19            4194592              4194592
       .compact            44                  0                    0
Done